Bug 590686 - Yumex says system is not online that doesn't use NetworkManager
Yumex says system is not online that doesn't use NetworkManager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 09:41 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 11:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2010-05-10 09:41:44 EDT
Description of problem:

My desktop machine does not use NetworkManager for networking: it uses DHCP at startup. But when I try to use Yumex to do package management, Yumex tells me I'm offline and won't run.

Version-Release number of selected component (if applicable):

(mcpierce@mcpierce-desktop:~)$ rpm -q yumex
yumex-2.9.7-1.fc12.noarch

How reproducible:

100%

Steps to Reproduce:

1. Configure networking via system-config-network and set all active cards to not be controlled by NetworkManager.
2. Run yumex
  
Actual results:

Yumex says "Not connected to a network. Do you want to continue?"

Expected results:

Yumex to run and allow package management.

Additional info:

Output from Yumex

(mcpierce@mcpierce-desktop:~)$ yumex
running
Current Settings
    autorefresh: True
    branding_title: 'Yum Extender NextGen'
    color_install: 'darkgreen'
    color_normal: 'black'
    color_obsolete: 'blue'
    color_update: 'red'
    debug: False
    disable_netcheck: False
    disable_repo_page: False
    history_limit: 15
    plugins: True
    proxy: ''
    recentdays: 14
    repo_exclude: ['debug', 'source']
    win_height: 1147
    win_sep: 827
    win_width: 1762
    yumdebuglevel: 2
/usr/lib/python2.6/site-packages/guihelpers/__init__.py:199: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
  self.add_from_file(filename)
/usr/lib/python2.6/site-packages/yumexgui/gui.py:178: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip = gtk.Tooltips()
/usr/lib/python2.6/site-packages/yumexgui/gui.py:205: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip.set_tip(button, tooltip)
Not connected to an network
yum backend process is ended
Program Terminated
(mcpierce@mcpierce-desktop:~)$ ifconfig
eth0      Link encap:Ethernet  HWaddr 00:E0:81:B5:1D:4D  
          inet addr:10.11.231.51  Bcast:10.11.231.255  Mask:255.255.252.0
          inet6 addr: fe80::2e0:81ff:feb5:1d4d/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:7201889 errors:0 dropped:0 overruns:0 frame:0
          TX packets:5408387 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:6536751771 (6.0 GiB)  TX bytes:743614604 (709.1 MiB)
          Memory:d4200000-d4220000 

eth1      Link encap:Ethernet  HWaddr 00:E0:81:B5:1D:4C  
          inet addr:10.11.231.132  Bcast:10.11.231.255  Mask:255.255.252.0
          inet6 addr: fe80::2e0:81ff:feb5:1d4c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:279695 errors:0 dropped:0 overruns:0 frame:0
          TX packets:190614 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:275058648 (262.3 MiB)  TX bytes:19997165 (19.0 MiB)
          Memory:d4220000-d4240000
Comment 1 Tim Lauridsen 2010-05-12 11:12:39 EDT
You can use 'yumex --disable-netcheck' or disable it in yumex preferences (under advanced)

Note You need to log in before you can comment on or make changes to this bug.